package org.eco.als.service;

import cn.hutool.json.JSONArray;
import org.eco.als.domain.bo.AlgorithmBo;
import org.eco.als.domain.bo.QaBo;
import org.eco.als.domain.bo.TaskBo;

import java.util.List;
import java.util.Map;

/**
 * @Description: IAlgorithmService
 * @Author: GaoKun Wang
 * @Date: 2024/7/30
 */
public interface IAlgorithmService {
    String executePro(AlgorithmBo algorithmBo);

    void executeFalseAlarm(AlgorithmBo algorithmBo);

    void executeFault(AlgorithmBo algorithmBo);
    String executeEvaluation(AlgorithmBo algorithmBo);

    String batchExecute(TaskBo taskBo);

    List<String> getDataHeader(Long ossId);

    String getDataByOssId(Long ossId);
    JSONArray getArrayByOssId(Long ossId);

    String executeQa(QaBo qaBo);

    Map<String, Object> executeMath(Map<String, String> queryBo);
}
